diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/container/LineWrapSquigglesStrategy.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/container/LineWrapSquigglesStrategy.java
index f71bce16f..54cd6f732 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/container/LineWrapSquigglesStrategy.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/container/LineWrapSquigglesStrategy.java
@@ -1,8 +1,8 @@
 /**
 * Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
@@ -23,10 +23,9 @@ import org.eclipse.swt.graphics.Point;
  *
  * @author p.ciardelli
  * @created 21.11.2008
- * @version 1.0
  */
 public class LineWrapSquigglesStrategy extends SquigglesStrategy {
-	
+
 	/** Constant <code>ID="linewrap_squigglesstrategy"</code> */
 	public static final String ID = "linewrap_squigglesstrategy"; //$NON-NLS-1$
 
@@ -41,61 +40,59 @@ public class LineWrapSquigglesStrategy extends SquigglesStrategy {
 	private StyledText textWidget;
 
 	private int offset;
-	
-	/* (non-Javadoc)
-	 * @see org.eclipse.jface.text.source.AnnotationPainter$SquigglesStrategy#draw(org.eclipse.jface.text.source.Annotation, org.eclipse.swt.graphics.GC, org.eclipse.swt.custom.StyledText, int, int, org.eclipse.swt.graphics.Color)
-	 */
-	/** {@inheritDoc} */
-	public void draw(Annotation annotation, GC gc, StyledText textWidget, int offset, int length, Color color) {
-		
+
+	@Override
+    public void draw(Annotation annotation, GC gc, StyledText textWidget, int offset, int length, Color color) {
+
 		this.gc = gc;
 		this.color = color;
 		this.textWidget = textWidget;
 		this.offset = offset;
-		
+
 		if (gc != null) {
 
-			if (length < 1)
-				return;
-			
+			if (length < 1) {
+                return;
+            }
+
 			baseline = textWidget.getBaseline(offset);
 			lineHeight = textWidget.getLineHeight(offset);
-			
+
 			Point right = null;
 			int offsetNewline = offset;
 			int end = offset + length;
-						
+
 			// Go through the length one character at a time
 			for (int i = offset; i <= end; i++) {
-				
+
 				// If the y of the current offset is different from that of the last offset,
 				//	we are on a new line
 				if (right != null && textWidget.getLocationAtOffset(i).y > right.y) {
-										
+
 					// Draw a line of squigglies
 					drawPolyline(offsetNewline, right);
 
 					// Save offset of line break
 					offsetNewline = i;
 				}
-								
+
 				// Get x,y position in case the next char is on a new line
-				right = textWidget.getLocationAtOffset(i);					
-					
+				right = textWidget.getLocationAtOffset(i);
+
 			}
-			
-			// Draw the last line of squigglies 
+
+			// Draw the last line of squigglies
 			drawPolyline(offsetNewline, right);
 
 		} else {
 			textWidget.redrawRange(offset, length, true);
 		}
 	}
-	
+
 	/**
 	 * Draws a squiggly line from the offset <code>offsetNewline</code> to
 	 * the x,y coordinates at <code>right</code>.
-	 * 
+	 *
 	 * @param offsetNewline
 	 * @param right
 	 */
@@ -103,19 +100,19 @@ public class LineWrapSquigglesStrategy extends SquigglesStrategy {
 
 		// Get offset at last line break
 		Point left = textWidget.getLocationAtOffset(offsetNewline);
-		
+
 		// Prevent solitary red dot from appearing at EOL
 		if (left.equals(right)) {
 			return;
 		}
-		
+
 		// Only start drawing from 0 if not on the first line
 		if (offsetNewline != offset) {
-			
+
 			// Offset.x is at the end of the first letter of the new line, not at 0
 			left.x = 0;
 		}
-		
+
 		int[] polyline= computePolyline(left, right, baseline, lineHeight);
 
 		gc.setLineWidth(0); // NOTE: 0 means width is 1 but with optimized performance
@@ -125,10 +122,10 @@ public class LineWrapSquigglesStrategy extends SquigglesStrategy {
 	}
 
 	/**
-	 * Copied verbatim from {@link org.eclipse.jface.text.source.AnnotationPainter$SquigglesStrategy} 
-	 * 
+	 * Copied verbatim from {@link org.eclipse.jface.text.source.AnnotationPainter$SquigglesStrategy}
+	 *
 	 * @see org.eclipse.jface.text.source.AnnotationPainter$SquigglesStrategy
-	 *  
+	 *
 	 * @param left
 	 * @param right
 	 * @param baseline
@@ -141,15 +138,17 @@ public class LineWrapSquigglesStrategy extends SquigglesStrategy {
 		final int HEIGHT= 2; // can be any number
 
 		int peaks= (right.x - left.x) / WIDTH;
-		if (peaks == 0 && right.x - left.x > 2)
-			peaks= 1;
+		if (peaks == 0 && right.x - left.x > 2) {
+            peaks= 1;
+        }
 
 		int leftX= left.x;
 
 		// compute (number of point) * 2
 		int length= ((2 * peaks) + 1) * 2;
-		if (length < 0)
-			return new int[0];
+		if (length < 0) {
+            return new int[0];
+        }
 
 		int[] coordinates= new int[length];
 
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/container/RulerWithIcon.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/container/RulerWithIcon.java
index c7f27a422..4fe9ddbee 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/container/RulerWithIcon.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/container/RulerWithIcon.java
@@ -1,8 +1,8 @@
 /**
 * Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
@@ -59,7 +59,6 @@ import org.eclipse.ui.forms.widgets.TableWrapData;
  * @see org.eclipse.jface.text.source.VerticalRuler
  * @author p.ciardelli
  * @created 27.01.2009
- * @version 1.0
  */
 public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 	private static final Logger logger = Logger.getLogger(RulerWithIcon.class);
@@ -72,24 +71,29 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 		/*
 		 * @see IViewportListener#viewportChanged(int)
 		 */
-		public void viewportChanged(int verticalPosition) {
-			if (verticalPosition != fScrollPos)
-				redraw();
+		@Override
+        public void viewportChanged(int verticalPosition) {
+			if (verticalPosition != fScrollPos) {
+                redraw();
+            }
 		}
 
 		/*
 		 * @see IAnnotationModelListener#modelChanged(IAnnotationModel)
 		 */
-		public void modelChanged(IAnnotationModel model) {
+		@Override
+        public void modelChanged(IAnnotationModel model) {
 			update();
 		}
 
 		/*
 		 * @see ITextListener#textChanged(TextEvent)
 		 */
-		public void textChanged(TextEvent e) {
-			if (fTextViewer != null && e.getViewerRedrawState())
-				redraw();
+		@Override
+        public void textChanged(TextEvent e) {
+			if (fTextViewer != null && e.getViewerRedrawState()) {
+                redraw();
+            }
 		}
 	}
 
@@ -146,15 +150,13 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 	 *
 	 * @return a {@link org.eclipse.swt.widgets.Control} object.
 	 */
-	public Control getControl() {
+	@Override
+    public Control getControl() {
 		return fCanvas;
 	}
 
-	/*
-	 * @see IVerticalRuler#createControl(Composite, ITextViewer)
-	 */
-	/** {@inheritDoc} */
-	public Control createControl(Composite parent, ITextViewer textViewer) {
+	@Override
+    public Control createControl(Composite parent, ITextViewer textViewer) {
 
 		fTextViewer= textViewer;
 
@@ -163,31 +165,37 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 		TableWrapData layout = new TableWrapData(TableWrapData.LEFT);
 		layout.heightHint = 20;
 		layout.maxWidth = fWidth;
-		fCanvas.setLayoutData(layout);		
-		
+		fCanvas.setLayoutData(layout);
+
 		fCanvas.addPaintListener(new PaintListener() {
-			public void paintControl(PaintEvent event) {
-				if (fTextViewer != null)
-					doubleBufferPaint(event.gc);
+			@Override
+            public void paintControl(PaintEvent event) {
+				if (fTextViewer != null) {
+                    doubleBufferPaint(event.gc);
+                }
 			}
 		});
 
 		fCanvas.addDisposeListener(new DisposeListener() {
-			public void widgetDisposed(DisposeEvent e) {
+			@Override
+            public void widgetDisposed(DisposeEvent e) {
 				handleDispose();
 				fTextViewer= null;
 			}
 		});
 
 		fCanvas.addMouseListener(new MouseListener() {
-			public void mouseUp(MouseEvent event) {
+			@Override
+            public void mouseUp(MouseEvent event) {
 			}
 
-			public void mouseDown(MouseEvent event) {
+			@Override
+            public void mouseDown(MouseEvent event) {
 				fLastMouseButtonActivityLine= toDocumentLineNumber(event.y);
 			}
 
-			public void mouseDoubleClick(MouseEvent event) {
+			@Override
+            public void mouseDoubleClick(MouseEvent event) {
 				fLastMouseButtonActivityLine= toDocumentLineNumber(event.y);
 			}
 		});
@@ -211,8 +219,9 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 			fTextViewer= null;
 		}
 
-		if (fModel != null)
-			fModel.removeAnnotationModelListener(fInternalListener);
+		if (fModel != null) {
+            fModel.removeAnnotationModelListener(fInternalListener);
+        }
 
 		if (fBuffer != null) {
 			fBuffer.dispose();
@@ -230,8 +239,9 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 
 		Point size= fCanvas.getSize();
 
-		if (size.x <= 0 || size.y <= 0)
-			return;
+		if (size.x <= 0 || size.y <= 0) {
+            return;
+        }
 
 		if (fBuffer != null) {
 			Rectangle r= fBuffer.getBounds();
@@ -240,8 +250,9 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 				fBuffer= null;
 			}
 		}
-		if (fBuffer == null)
-			fBuffer= new Image(fCanvas.getDisplay(), size.x, size.y);
+		if (fBuffer == null) {
+            fBuffer= new Image(fCanvas.getDisplay(), size.x, size.y);
+        }
 
 		GC gc= new GC(fBuffer);
 		gc.setFont(fTextViewer.getTextWidget().getFont());
@@ -251,9 +262,9 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 
 			// Code added to VerticalRuler starts here
 			if (icon != null) {
-				
+
 				Rectangle r = icon.getBounds();
-				
+
 				if (r.width > size.x || r.height > size.y) {
 					logger.warn(r.width + "x" + r.height + " icon too big for " + size.x + "x" + size.y + " Canvas."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 				} else {
@@ -261,16 +272,17 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 					// Set destination coordinates to center icon
 					int x = (size.x - r.width) / 2;
 					int y = (size.y - r.height) / 2;
-					
+
 					gc.drawImage(icon, 0, 0, r.width, r.height, x, y, r.width, r.height);
-				}				
+				}
 			}
 			// Code added to VerticalRuler ends here
-			
-			if (fTextViewer instanceof ITextViewerExtension5)
-				doPaint1(gc);
-			else
-				doPaint(gc);
+
+			if (fTextViewer instanceof ITextViewerExtension5) {
+                doPaint1(gc);
+            } else {
+                doPaint(gc);
+            }
 
 		} finally {
 			gc.dispose();
@@ -310,12 +322,14 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 	 */
 	protected void doPaint(GC gc) {
 
-		if (fModel == null || fTextViewer == null)
-			return;
+		if (fModel == null || fTextViewer == null) {
+            return;
+        }
 
 		IAnnotationAccessExtension annotationAccessExtension= null;
-		if (fAnnotationAccess instanceof IAnnotationAccessExtension)
-			annotationAccessExtension= (IAnnotationAccessExtension) fAnnotationAccess;
+		if (fAnnotationAccess instanceof IAnnotationAccessExtension) {
+            annotationAccessExtension= (IAnnotationAccessExtension) fAnnotationAccess;
+        }
 
 		StyledText styledText= fTextViewer.getTextWidget();
 		IDocument doc= fTextViewer.getDocument();
@@ -347,22 +361,25 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 				Annotation annotation= (Annotation) iter.next();
 
 				int lay= IAnnotationAccessExtension.DEFAULT_LAYER;
-				if (annotationAccessExtension != null)
-					lay= annotationAccessExtension.getLayer(annotation);
-				else if (annotation instanceof IAnnotationPresentation) {
+				if (annotationAccessExtension != null) {
+                    lay= annotationAccessExtension.getLayer(annotation);
+                } else if (annotation instanceof IAnnotationPresentation) {
 					annotationPresentation= (IAnnotationPresentation)annotation;
 					lay= annotationPresentation.getLayer();
 				}
 				maxLayer= Math.max(maxLayer, lay+1);	// dynamically update layer maximum
-				if (lay != layer)	// wrong layer: skip annotation
-					continue;
+				if (lay != layer) {
+                    continue;
+                }
 
 				Position position= fModel.getPosition(annotation);
-				if (position == null)
-					continue;
+				if (position == null) {
+                    continue;
+                }
 
-				if (!position.overlapsWith(topLeft, viewPort))
-					continue;
+				if (!position.overlapsWith(topLeft, viewPort)) {
+                    continue;
+                }
 
 				try {
 
@@ -370,30 +387,34 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 					int length= position.getLength();
 
 					int startLine= doc.getLineOfOffset(offset);
-					if (startLine < topLine)
-						startLine= topLine;
+					if (startLine < topLine) {
+                        startLine= topLine;
+                    }
 
 					int endLine= startLine;
-					if (length > 0)
-						endLine= doc.getLineOfOffset(offset + length - 1);
-					if (endLine > bottomLine)
-						endLine= bottomLine;
+					if (length > 0) {
+                        endLine= doc.getLineOfOffset(offset + length - 1);
+                    }
+					if (endLine > bottomLine) {
+                        endLine= bottomLine;
+                    }
 
 					startLine -= topLine;
 					endLine -= topLine;
 
 					r.x= 0;
 					r.y= JFaceTextUtil.computeLineHeight(styledText, 0, startLine, startLine)  - fScrollPos;
-					
+
 					r.width= d.x;
 					int lines= endLine - startLine;
-					
+
 					r.height= JFaceTextUtil.computeLineHeight(styledText, startLine, endLine + 1, (lines+1));
 
-					if (r.y < d.y && annotationAccessExtension != null)  // annotation within visible area
-						annotationAccessExtension.paint(annotation, gc, fCanvas, r);
-					else if (annotationPresentation != null)
-						annotationPresentation.paint(gc, fCanvas, r);
+					if (r.y < d.y && annotationAccessExtension != null) {
+                        annotationAccessExtension.paint(annotation, gc, fCanvas, r);
+                    } else if (annotationPresentation != null) {
+                        annotationPresentation.paint(gc, fCanvas, r);
+                    }
 
 				} catch (BadLocationException e) {
 				}
@@ -410,12 +431,14 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 	 */
 	protected void doPaint1(GC gc) {
 
-		if (fModel == null || fTextViewer == null)
-			return;
+		if (fModel == null || fTextViewer == null) {
+            return;
+        }
 
 		IAnnotationAccessExtension annotationAccessExtension= null;
-		if (fAnnotationAccess instanceof IAnnotationAccessExtension)
-			annotationAccessExtension= (IAnnotationAccessExtension) fAnnotationAccess;
+		if (fAnnotationAccess instanceof IAnnotationAccessExtension) {
+            annotationAccessExtension= (IAnnotationAccessExtension) fAnnotationAccess;
+        }
 
 		ITextViewerExtension5 extension= (ITextViewerExtension5) fTextViewer;
 		StyledText textWidget= fTextViewer.getTextWidget();
@@ -434,44 +457,50 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 				Annotation annotation= (Annotation) iter.next();
 
 				int lay= IAnnotationAccessExtension.DEFAULT_LAYER;
-				if (annotationAccessExtension != null)
-					lay= annotationAccessExtension.getLayer(annotation);
-				else if (annotation instanceof IAnnotationPresentation) {
+				if (annotationAccessExtension != null) {
+                    lay= annotationAccessExtension.getLayer(annotation);
+                } else if (annotation instanceof IAnnotationPresentation) {
 					annotationPresentation= (IAnnotationPresentation)annotation;
 					lay= annotationPresentation.getLayer();
 				}
 				maxLayer= Math.max(maxLayer, lay+1);	// dynamically update layer maximum
-				if (lay != layer)	// wrong layer: skip annotation
-					continue;
+				if (lay != layer) {
+                    continue;
+                }
 
 				Position position= fModel.getPosition(annotation);
-				if (position == null)
-					continue;
+				if (position == null) {
+                    continue;
+                }
 
 				IRegion widgetRegion= extension.modelRange2WidgetRange(new Region(position.getOffset(), position.getLength()));
-				if (widgetRegion == null)
-					continue;
+				if (widgetRegion == null) {
+                    continue;
+                }
 
 				int startLine= extension.widgetLineOfWidgetOffset(widgetRegion.getOffset());
-				if (startLine == -1)
-					continue;
+				if (startLine == -1) {
+                    continue;
+                }
 
 				int endLine= extension.widgetLineOfWidgetOffset(widgetRegion.getOffset() + Math.max(widgetRegion.getLength() -1, 0));
-				if (endLine == -1)
-					continue;
+				if (endLine == -1) {
+                    continue;
+                }
 
 				r.x= 0;
 				r.y= JFaceTextUtil.computeLineHeight(textWidget, 0, startLine, startLine)  - fScrollPos;
-				
+
 				r.width= dimension.x;
 				int lines= endLine - startLine;
-				
+
 				r.height= JFaceTextUtil.computeLineHeight(textWidget, startLine, endLine + 1, lines+1);
 
-				if (r.y < dimension.y && annotationAccessExtension != null)  // annotation within visible area
-					annotationAccessExtension.paint(annotation, gc, fCanvas, r);
-				else if (annotationPresentation != null)
-					annotationPresentation.paint(gc, fCanvas, r);
+				if (r.y < dimension.y && annotationAccessExtension != null) {
+                    annotationAccessExtension.paint(annotation, gc, fCanvas, r);
+                } else if (annotationPresentation != null) {
+                    annotationPresentation.paint(gc, fCanvas, r);
+                }
 			}
 		}
 	}
@@ -483,12 +512,14 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 	/*
 	 * @see IVerticalRuler#update()
 	 */
-	public void update() {
+	@Override
+    public void update() {
 		if (fCanvas != null && !fCanvas.isDisposed()) {
 			Display d= fCanvas.getDisplay();
 			if (d != null) {
 				d.asyncExec(new Runnable() {
-					public void run() {
+					@Override
+                    public void run() {
 						redraw();
 					}
 				});
@@ -507,20 +538,19 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 		}
 	}
 
-	/*
-	 * @see IVerticalRuler#setModel(IAnnotationModel)
-	 */
-	/** {@inheritDoc} */
-	public void setModel(IAnnotationModel model) {
+	@Override
+    public void setModel(IAnnotationModel model) {
 		if (model != fModel) {
 
-			if (fModel != null)
-				fModel.removeAnnotationModelListener(fInternalListener);
+			if (fModel != null) {
+                fModel.removeAnnotationModelListener(fInternalListener);
+            }
 
 			fModel= model;
 
-			if (fModel != null)
-				fModel.addAnnotationModelListener(fInternalListener);
+			if (fModel != null) {
+                fModel.addAnnotationModelListener(fInternalListener);
+            }
 
 			update();
 		}
@@ -534,7 +564,8 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 	 *
 	 * @return a {@link org.eclipse.jface.text.source.IAnnotationModel} object.
 	 */
-	public IAnnotationModel getModel() {
+	@Override
+    public IAnnotationModel getModel() {
 		return fModel;
 	}
 
@@ -546,7 +577,8 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 	 *
 	 * @return a int.
 	 */
-	public int getWidth() {
+	@Override
+    public int getWidth() {
 		return fWidth;
 	}
 
@@ -558,27 +590,27 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 	 *
 	 * @return a int.
 	 */
-	public int getLineOfLastMouseButtonActivity() {
+	@Override
+    public int getLineOfLastMouseButtonActivity() {
 		return fLastMouseButtonActivityLine;
 	}
 
-	/*
-	 * @see IVerticalRulerInfo#toDocumentLineNumber(int)
-	 */
-	/** {@inheritDoc} */
-	public int toDocumentLineNumber(int y_coordinate) {
-		if (fTextViewer == null  || y_coordinate == -1)
-			return -1;
+	@Override
+    public int toDocumentLineNumber(int y_coordinate) {
+		if (fTextViewer == null  || y_coordinate == -1) {
+            return -1;
+        }
 
 		StyledText text= fTextViewer.getTextWidget();
 		int line= text.getLineIndex(y_coordinate);
-		
+
 		if (line == text.getLineCount() - 1) {
 			// check whether y_coordinate exceeds last line
-			if (y_coordinate > text.getLinePixel(line + 1))
-				return -1;
+			if (y_coordinate > text.getLinePixel(line + 1)) {
+                return -1;
+            }
 		}
-		
+
 		return widgetLine2ModelLine(fTextViewer, line);
 	}
 
@@ -606,20 +638,12 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 		return widgetLine;
 	}
 
-	/*
-	 * @see IVerticalRulerExtension#setFont(Font)
-	 * @since 2.0
-	 */
-	/** {@inheritDoc} */
-	public void setFont(Font font) {
+	@Override
+    public void setFont(Font font) {
 	}
 
-	/*
-	 * @see IVerticalRulerExtension#setLocationOfLastMouseButtonActivity(int, int)
-	 * @since 2.0
-	 */
-	/** {@inheritDoc} */
-	public void setLocationOfLastMouseButtonActivity(int x, int y) {
+	@Override
+    public void setLocationOfLastMouseButtonActivity(int x, int y) {
 		fLastMouseButtonActivityLine= toDocumentLineNumber(y);
 	}
 
@@ -630,9 +654,11 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 	 * @deprecated will be removed
 	 * @since 2.0
 	 */
-	public void addMouseListener(MouseListener listener) {
-		if (fCanvas != null && !fCanvas.isDisposed())
-			fCanvas.addMouseListener(listener);
+	@Deprecated
+    public void addMouseListener(MouseListener listener) {
+		if (fCanvas != null && !fCanvas.isDisposed()) {
+            fCanvas.addMouseListener(listener);
+        }
 	}
 
 	/**
@@ -642,9 +668,11 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 	 * @deprecated will be removed
 	 * @since 2.0
 	 */
-	public void removeMouseListener(MouseListener listener) {
-		if (fCanvas != null && !fCanvas.isDisposed())
-			fCanvas.removeMouseListener(listener);
+	@Deprecated
+    public void removeMouseListener(MouseListener listener) {
+		if (fCanvas != null && !fCanvas.isDisposed()) {
+            fCanvas.removeMouseListener(listener);
+        }
 	}
 
 	/**
@@ -657,4 +685,4 @@ public class RulerWithIcon implements IVerticalRuler, IVerticalRulerExtension {
 		redraw();
 	}
 }
-	
+
